#include <iostream>
using namespace std;
int main() {
    int sum=0,temp;
    for(int i=0;i<3;i++) {
        cin>>temp;
        if((i==0 && temp<=80) || (i==1 && temp<=40)) {
            cout<<-1;
            return 0;
        }
        sum+=temp;
    }
    if(sum>=175 && sum<220) {
        cout<<3;
    }else if(sum>=220 && sum<250){
        cout<<2;
    }else if(sum>=250) {
        cout<<1;
    }else {
        cout<<-1;
    }
}